# Generated by go2rpm 1
%bcond_without check

%global golang_arches x86_64 aarch64 ppc64le s390x

# https://github.com/cockroachdb/pebble
%global goipath         github.com/cockroachdb/pebble
%global commit          48f55301c5c4197021b030979007fe2fecf17380

%gometa

%global common_description %{expand:
RocksDB/LevelDB inspired key-value database in Go.}

%global golicenses      LICENSE
%global godocs          docs README.md

Name:           %{goname}
Version:        0
Release:        0.12%{?dist}
Summary:        RocksDB/LevelDB inspired key-value database in Go

# Upstream license specification: MIT and Apache-2.0 and BSD-3-Clause
License:        MIT and ASL 2.0 and BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cespare/xxhash/v2)
BuildRequires:  golang(github.com/cockroachdb/errors)
BuildRequires:  golang(github.com/cockroachdb/errors/oserror)
BuildRequires:  golang(github.com/cockroachdb/redact)
BuildRequires:  golang(github.com/codahale/hdrhistogram)
BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(golang.org/x/exp/rand)
BuildRequires:  golang(golang.org/x/sys/unix)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/ghemawat/stream)
BuildRequires:  golang(github.com/kr/pretty)
BuildRequires:  golang(github.com/pmezard/go-difflib/difflib)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(golang.org/x/sync/errgroup)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|\[JOB 5\] WAL delete error: ‹×›|\[JOB 5\] WAL delete error: unredacted error: ‹×›|' event_listener_test.go

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d internal/lint
%endif

%files
%license LICENSE
%doc docs README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 0-0.11
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0-0.9
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.8
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> - 0-0.7
- Rebuilt for CVE-2022-27191

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 23 23:34:58 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.3.20210108git48f5530
- Fix FTBFS (due to a bug in github.com/golang/snappy)

* Fri Jan 08 23:31:58 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2.20210108git48f5530
- Bump to commit 48f55301c5c4197021b030979007fe2fecf17380

* Wed Sep 09 00:46:48 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20200908git069f1e1
- Initial package
